PROBLEMA WordPress non accetta le credenziali MySQL

Alfonso11

Nuovo Utente
Ciao ragazzi,
ho installato sulla mia VPS Apache e MySQL per fare un sito con WordPress, ho seguito varie guide per creare un database e un utente che abbia tutti i privilegi ma, quando inserisco le credenziali in WordPress mi dice che non sono corrette. Ho ricreato il database e l'utente svariate volte seguendo guide diverse e riavviando tutti i servizi ogni volta, ma WordPress continua a non accettarle. Avete soluzioni?
Grazie.
 

r3dl4nce

Utente Èlite
2,056
689
Hardware Utente
L'host di connessione al database è 127.0.0.1 visto che è sulla stessa macchina?
L'utente ha i permessi di accesso da quell'host o da tutti con il simbolo %?
 

r3dl4nce

Utente Èlite
2,056
689
Hardware Utente
Quando specifichi i permessi di un utente imposti anche da che host può collegarsi.
Controlla che nei permessi dell'utente abbia il permesso per localhost oppure % che vuol dire tutti
 

Alfonso11

Nuovo Utente
Penso abbia tutti i permessi.
[/
mysql> SHOW GRANTS FOR alfonsogirotaUSR@"localhost";
+-------------------------------------------------------------------------------+
| Grants for alfonsogirotaUSR@localhost |
+-------------------------------------------------------------------------------+
| GRANT USAGE ON *.* TO `alfonsogirotaUSR`@`localhost` |
| GRANT ALL PRIVILEGES ON `alfonsogirotaDB`.* TO `alfonsogirotaUSR`@`localhost` |
+-------------------------------------------------------------------------------+
2 rows in set (0,00 sec)
 

Alfonso11

Nuovo Utente
Server version: Apache/2.4.6 (CentOS)
Server built: Apr 24 2019 13:45:48

mysql> select version()
-> ;
+-----------+
| version() |
+-----------+
| 8.0.16 |
+-----------+
1 row in set (0,06 sec)

Come faccio a verificare i permessi di wordpress?
 

Moffetta88

Utente Èlite
2,590
819
Hardware Utente
No ma forse è direttamente la versione di mysql il problema.
Io ho tutto fermo alla 5.6/6 perchè la 8 troppo giovane e mi dava seri problemi con i permessi ( e vorrebbe dire aggiornare un centinaio di siti e software )
 

Alfonso11

Nuovo Utente
Prima avevo anche io una versione vecchia installata ma, wordpress richiedeva una versione più recente, così ho installato una delle ultime.
Post automaticamente unito:

Ho provato a fare quello che dice nella guida, ma mi da lo stesso errore. Ora provo a disinstallare la 8 e mettere la 5.6/6.
 
Ultima modifica:

Entra

oppure Accedi utilizzando